Subject: bug#25509: closed (Re: bug#25509: FreeBSD 11.0)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Apr 2017 15:25:02 +0000

Your bug report

#25509: Guile 2.1.6 build fails on FreeBSD 11.0

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25509: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25509
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25509: FreeBSD 11.0
From: Andy Wingo <[email-masked]>
To: Matt Wette <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Apr 2017 17:24:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 16 Mar 2017 04:11, Matt Wette <[email-masked]> writes:

> HI saffron,
>
> I have been able to get guile-2.1.8 to build on FreeBSD 11.0.
>
> I had to “pkg install” : pkgconf, gmake, boehm-gc-threaded
>
> Then to work around following config issue, I “pkg install autotools”
> Edit autoconf.ac and find “bdw-gc”, change to “bdw-gc-threaded”
> PKG_CHECK_MODULES([BDW_GC], [bdw-gc-threaded >= 7.2])
>
> Then run autoconf, then ./configure —prefix=/usr/local, then gmake (make did not work for me), but takes hours.
>
> Then “make check”.  

Given this report, I'll close this bug.  Thanks all :)

Andy

Subject: Guile 2.1.6 build fails on FreeBSD 11.0
From: [email-masked]
To: [email-masked]
Date: Sun, 22 Jan 2017 18:02:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, 
I saw the email about the 2.1.6 testing release. I previously
submitted a bug report about Guile 2.0.13 failing, but this build is
giving me different errors so I wanted to submit this as well. I ran
the following commands:
autoconfautomake./configuremake
I have attached text files containing the output of the commands, when
they produced output.
Thanks,saffronsnail